
;*********************************************************************

text_version:
	.db		"MiniLog 80MHz Hardware v",HW_VER,".",HW_REV," - Software v",FW_VER,".",FW_REV," - Ram: ",0

text_ram:
	.db		"Sample-Buffer: ",0

tab_funktion:
  .dw   send_version            ;  0
  .dw   dummy                   ;  1
  .dw   dummy                   ;  2
  .dw   dummy                   ;  3
  .dw   dummy                   ;  4
  .dw   dummy                   ;  5
  .dw   dummy                   ;  6
  .dw   dummy                   ;  7
  .dw   dummy                   ;  8
  .dw   dummy                   ;  9
  .dw   test_bin_count          ; 10
	.dw		int_clock_int_trigger		; 11

tab_timer_intervall:
	.dw		CLK_80M									; 1    80MHz ->    12,5ns 
	.dw		81											; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_40M									; 1    40MHz ->    25ns 
	.dw		163										  ; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_20M									; 1    20MHz ->    50ns 
	.dw		327 									  ; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_8M									; 2    8MHz ->    125ns
	.dw		819									  	; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_4M									; 5    4MHz ->    250ns
	.dw		1638										  ; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_2M									; 10   2MHz ->    500ns
	.dw		3276										; Rest-Zhler fr vollen Bereich
	.dw		1												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_800K								; 20   800kHz ->    1,25s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		2												; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_400K								; 50  200kHz ->     2,5s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		4 											; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_200K								; 100  100kHz ->    5s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		8											; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_80K									; 200   50kHz ->   12,5s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		20											; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_40K									; 500   20kHz ->   25s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		40										  ; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_20K									; 1000   10kHz ->  50s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		80											; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_8K									; 2000    5kHz ->  127s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		200											; Warteschleife, 10 Takte, -> 1,6MHz
	
	.dw	  CLK_4K							  	; 5000    2kHz ->  250s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		400 										; Warteschleife, 10 Takte, -> 1,6MHz

	.dw		CLK_2K									; 10000   1kHz ->  500s
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		800 							  		; Warteschleife, 10 Takte, -> 1,6MHz
						
	.dw		CLK_800									; 10000   1kHz ->   1,25ms
	.dw		4096										; Rest-Zhler fr vollen Bereich
	.dw		2000										; Warteschleife, 10 Takte, -> 1,6MHz
